Page MenuHomePhabricator

elasticsearch package missing for geodata_elastic role
Closed, ResolvedPublic

Description

After enabling geodata_elastic role on new vagrant install I get:

==> default: Error: Could not update: Execution of '/usr/bin/apt-get -q
-y -o DPkg::Options::=--force-confold install elasticsearch' returned
100: Reading package lists...
==> default: Building dependency tree...
==> default: Reading state information...
==> default: E: Unable to locate package elasticsearch
==> default: Error:
/Stage[main]/Elasticsearch/Package[elasticsearch]/ensure: change from
purged to latest failed: Could not update: Execution of
'/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
elasticsearch' returned 100: Reading package lists...
==> default: Building dependency tree...
==> default: Reading state information...
==> default: E: Unable to locate package elasticsearch

Looks like the package is missing.

Event Timeline

Smalyshev triaged this task as Normal priority.Dec 19 2017, 10:36 PM
Smalyshev created this task.

Change 399773 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] elasticsearch: Use custom apt repo

https://gerrit.wikimedia.org/r/399773

Change 399773 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] elasticsearch: Use custom apt repo

https://gerrit.wikimedia.org/r/399773

bd808 closed this task as Resolved.Dec 24 2017, 3:45 AM
bd808 claimed this task.